Bug 521878 - Fix instances of #!/usr/bin/env python in kernel-devel-packages
Summary: Fix instances of #!/usr/bin/env python in kernel-devel-packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Don Zickus
QA Contact: Boris Ranto
URL:
Whiteboard:
Depends On:
Blocks: 502912 533192 521940 575965
TreeView+ depends on / blocked
 
Reported: 2009-09-08 15:16 UTC by Issue Tracker
Modified: 2018-11-14 20:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 575965 (view as bug list)
Environment:
Last Closed: 2011-01-13 20:53:14 UTC


Attachments (Terms of Use)
change python to use system binary (1.96 KB, patch)
2010-01-22 21:37 UTC, Don Zickus
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Issue Tracker 2009-09-08 15:16:30 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-09-08 15:16:32 UTC
Event posted on 09-08-2009 11:15am EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, the kernel-devel package set in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  

They were found in:

kernel-debug-devel
kernel-xen-devel
kernel-devel
kernel-PAE-devel


This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339840

Comment 2 Don Zickus 2010-01-22 21:37:09 UTC
Created attachment 386245 [details]
change python to use system binary

This is the patch I just pushed upstream.  It should work for RHEL-5 and RHEL-6 too.

Comment 4 RHEL Product and Program Management 2010-08-27 18:09:24 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Jarod Wilson 2010-09-10 21:38:28 UTC
in kernel-2.6.18-219.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 10 errata-xmlrpc 2011-01-13 20:53:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.